<?php


/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2008 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------

function cron_plugin_massocsimport() {
	$plugin = new Plugin();
	if ($plugin->isActivated("massocsimport")) {
		$nb = cronDeleteThreads();
		if ($nb > 0)
			logInFile("cron", "Clean massocsimport : $nb reports deleted\n");
		else
			logInFile("cron", "Clean massocsimport : nothing to do\n");
	}
}

function plugin_massocsimport_changeprofile() {
	$plugin = new Plugin();
	if ($plugin->isActivated("massocsimport")) {
		if (haveRight("logs", "r") || haveRight("ocsng", "w"))
			$PLUGIN_HOOKS['menu_entry']['massocsimport'] = true;
		else
			$PLUGIN_HOOKS['menu_entry']['massocsimport'] = false;

	}
}

function plugin_massocsimport_haveRight($type, $right) {
	return true;
}

function plugin_massocsimport_haveTypeRight($type, $right) {
	return true;
}

function plugin_massocsimport_getSearchOption() {
	global $LANG;
	$sopt = array ();
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED]['common'] = $LANG["massocsimport"]["common"][23];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][1]['table'] = 'glpi_plugin_massocsimport_not_imported';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][1]['field'] = 'ocs_id';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][1]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][1]['name'] = $LANG["ocsng"][45];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][2]['table'] = 'glpi_plugin_massocsimport_not_imported';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][2]['field'] = 'name';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][2]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][2]['name'] = $LANG["registry"][6];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][3]['table'] = 'glpi_plugin_massocsimport_not_imported';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][3]['field'] = 'useragent';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][3]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][3]['name'] = $LANG["ocsng"][49];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][4]['table'] = 'glpi_plugin_massocsimport_not_imported';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][4]['field'] = 'deviceid';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][4]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][4]['name'] = $LANG["massocsimport"]["common"][22];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][5]['table'] = 'glpi_ocs_config';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][5]['field'] = 'name';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][5]['linkfield'] = 'ocs_server_id';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][5]['name'] = $LANG["ocsng"][29];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][6]['table'] = 'glpi_plugin_massocsimport_not_imported';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][6]['field'] = 'tag';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][6]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][6]['name'] = $LANG["ocsconfig"][39];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][7]['table'] = 'glpi_plugin_massocsimport_not_imported';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][7]['field'] = 'ipaddr';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][7]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][7]['name'] = $LANG["networking"][14];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][8]['table'] = 'glpi_plugin_massocsimport_not_imported';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][8]['field'] = 'domain';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][8]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][8]['name'] = $LANG["setup"][89];

	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][9]['table'] = 'glpi_plugin_massocsimport_not_imported';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][9]['field'] = 'last_inventory';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][9]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][9]['name'] = $LANG["massocsimport"]["common"][24];
	$sopt[PLUGIN_MASSOCSIMPORT_NOTIMPORTED][9]['datatype'] = 'date';

	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][1]['table'] = 'glpi_plugin_massocsimport_details';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][1]['field'] = 'ocs_id';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][1]['linkfield'] = 'ocs_id';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][1]['name'] = $LANG["ocsng"][45];
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][1]['datatype'] = 'integer';

	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][2]['table'] = 'glpi_ocs_config';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][2]['field'] = 'name';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][2]['linkfield'] = 'ocs_server_id';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][2]['name'] = $LANG["ocsng"][29];

	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][3]['table'] = 'glpi_plugin_massocsimport_details';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][3]['field'] = 'process_time';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][3]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][3]['name'] = $LANG["massocsimport"]["common"][31];
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][3]['datatype'] = 'date';

	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][4]['table'] = 'glpi_plugin_massocsimport_details';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][4]['field'] = 'action';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][4]['linkfield'] = '';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][4]['name'] = $LANG['rulesengine'][11];

	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][5]['table'] = 'glpi_plugin_massocsimport_details';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][5]['field'] = 'process_id';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][5]['linkfield'] = 'process_id';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][5]['name'] = $LANG["massocsimport"]["common"][32];
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][5]['datatype'] = 'integer';

	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][6]['table'] = 'glpi_computers';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][6]['field'] = 'name';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][6]['linkfield'] = 'glpi_id';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][6]['name'] = $LANG['help'][25];

	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][7]['table'] = 'glpi_plugin_massocsimport_details';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][7]['field'] = 'thread_id';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][7]['linkfield'] = 'thread_id';
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][7]['name'] = $LANG["massocsimport"]["common"][9];
	$sopt[PLUGIN_MASSOCSIMPORT_DETAIL][7]['datatype'] = 'integer';
	
	return $sopt;

}

function plugin_massocsimport_MassiveActions($type) {
	global $LANG;

	switch ($type) {
		case PLUGIN_MASSOCSIMPORT_NOTIMPORTED :
			$actions = array ();
			$actions["plugin_massocsimport_import"] = $LANG["massocsimport"]["display"][1];
			$plugin = new Plugin;
			if ($plugin->isActivated("uninstall"))
				$actions["plugin_massocsimport_delete"] = $LANG["massocsimport"]["display"][5];
			return $actions;
			break;
	}
	return array ();
}

function plugin_massocsimport_MassiveActionsDisplay($type, $action) {
	global $LANG;

	switch ($type) {
		case PLUGIN_MASSOCSIMPORT_NOTIMPORTED :
			switch ($action) {
				case "plugin_massocsimport_import" :
					dropdown('glpi_entities', 'entity', 1);
					echo "<input type=\"submit\" name=\"massiveaction\" class=\"submit\" value=\"" . $LANG["buttons"][37] . "\" >";
					break;
				case "plugin_massocsimport_delete" :
					echo "<input type=\"submit\" name=\"massiveaction\" class=\"submit\" value=\"" . $LANG["buttons"][2] . "\" >";
					break;
			}
			break;
	}
	return "";
}

function plugin_massocsimport_MassiveActionsProcess($data) {
	global $CFG_GLPI, $LANG;

	switch ($data["action"]) {
		case "plugin_massocsimport_import" :
			foreach ($data["item"] as $key => $val) {
				if ($val == 1) {
					importComputer($key, $data["entity"]);
				}
			}
			break;
		case "plugin_massocsimport_delete" :
			$plugin = new Plugin;
			if ($plugin->isActivated("uninstall")) {
				foreach ($data["item"] as $key => $val) {
					if ($val == 1) {
						deleteNotImportedComputer($key);
					}
				}
			}
			break;
	}
}

function plugin_massocsimport_addSelect($type, $ID, $num) {
	global $SEARCH_OPTION;

	$table = $SEARCH_OPTION[$type][$ID]["table"];
	$field = $SEARCH_OPTION[$type][$ID]["field"];

	switch ($type)
	{
		case PLUGIN_MASSOCSIMPORT_NOTIMPORTED :
			switch ($num) {
				case 0 :
					return $table . "." . $field . " AS ITEM_$num, $table.ocs_id as ocs_id, $table.ocs_server_id as ocs_server_id, ";
					break;
			}
		break;
		case PLUGIN_MASSOCSIMPORT_DETAIL:
			switch ($num) {
				case 0 :
					return $table . "." . $field . " AS ITEM_$num, $table.ocs_id as ocs_id, $table.ocs_server_id as ocs_server_id, $table.process_id, $table.thread_id, ";
					break;
			}
		
	}
	
	return "";
}

function plugin_massocsimport_giveItem($type, $ID, $data, $num) {
	global $CFG_GLPI, $DB, $INFOFORM_PAGES, $LINK_ID_TABLE, $LANG, $SEARCH_OPTION;
	$table = $SEARCH_OPTION[$type][$ID]["table"];
	$field = $SEARCH_OPTION[$type][$ID]["field"];

	switch ($table . '.' . $field) {
		case "glpi_plugin_massocsimport_not_imported.name" :
		case "glpi_plugin_massocsimport_not_imported.ocs_id" :
		case "glpi_plugin_massocsimport_details.ocs_id" :
			return getComputerLinkToOcsConsole($data["ocs_server_id"], $data["ocs_id"], $data["ITEM_$num"]);
			break;
		case "glpi_plugin_massocsimport_details.action" :
			return plugin_massocsimport_giveActionNameByActionID($data["ITEM_$num"]);
		default :
			return '';
	}
}

function plugin_headings_actions_massocsimport($type) {

	switch ($type) {
		case OCSNG_TYPE :
			return array (
				1 => "plugin_headings_massocsimport",

				
			);
			break;
	}
	return false;
}

function plugin_get_headings_massocsimport($type, $ID, $withtemplate) {
	global $LANG;
/*
	switch ($type) {
		case OCSNG_TYPE :
			if (!$withtemplate && $ID > 0) {
				return array (
					1 => $LANG["massocsimport"]["name"][1]
				);
			} else {
				return array ();
			}
			break;
	}
*/
		return false;
}

function plugin_headings_massocsimport($type, $ID, $withtemplate = 0) {
	switch ($type) {
		case OCSNG_TYPE :
			showOcsReportsConsole($ID);
			break;
	}
}
?>
