<?php
/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2008 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------
function plugin_massocsimport_showThreadDetailsList($ID)
{
	manageGetValuesInSearch(PLUGIN_MASSOCSIMPORT_DETAIL);
	searchForm(PLUGIN_MASSOCSIMPORT_DETAIL,$_GET);
	showList(PLUGIN_MASSOCSIMPORT_DETAIL,$_GET);
}

function plugin_massocsimport_logProcessedComputer ($ocs_id, $ocs_server_id, $action, $thread_id,$process_id)
{
	$detail = new MassOcsImportDetail;
	$input["ocs_id"] = $ocs_id;
	$input["thread_id"] = $thread_id;
	$input["process_id"] = $process_id;
	$input["ocs_server_id"] = $ocs_server_id;
	$input["action"] = $action;
	$input["glpi_id"] = getGlpiIDByOcsID($ocs_id,$ocs_server_id);
	$input["process_time"] = date("Y-m-d H:i:s");
	
	$detail->add($input);	
}

function plugin_massocsimport_deleteThreadDetailsByProcessID($process_id)
{
	global $DB;
	$query ="DELETE FROM `glpi_plugin_massocsimport_details` WHERE process_id=$process_id";
	$DB->query($query);
}

function plugin_massocsimport_giveActionNameByActionID($action)
{
	global $LANG;
	switch ($action)
	{
		case OCS_COMPUTER_FAILED_IMPORT :
			return $LANG["massocsimport"]["common"][18];
		break;
		case OCS_COMPUTER_IMPORTED:
			return $LANG["massocsimport"]["common"][5];
		break;
		case OCS_COMPUTER_LINKED:
			return $LANG["massocsimport"]["common"][19];
		break;
		case OCS_COMPUTER_NOTUPDATED:
			return $LANG["massocsimport"]["common"][20];
		break;
		case OCS_COMPUTER_SYNCHRONIZED:
			return $LANG["massocsimport"]["common"][6];
		break;
	}
}

function getGlpiIDByOcsID($ocs_id,$ocs_server_id)
{
	global $DB;
	$query = "SELECT glpi_id FROM `glpi_ocs_link` WHERE ocs_server_id=$ocs_server_id AND ocs_id=$ocs_id";
	$result = $DB->query($query);
	if ($DB->numrows($result) == 1)
		return $DB->result($result,0,"glpi_id");
	else
		return 0;	
}
?>