<?php
/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2008 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------
function plugin_massocsimport_logNotImported($ocs_server_id,$ocs_id)
{
	global $DBocs,$DB;
	
	checkOCSconnection($ocs_server_id);
	
	$query = "SELECT * FROM hardware, accountinfo WHERE accountinfo.HARDWARE_ID=hardware.ID AND ID='$ocs_id'";
	$result = $DBocs->query($query);
	if ($result && $DBocs->numrows($result)) {
		$line = $DBocs->fetch_array($result);
		$input["name"] = $line["NAME"];
		$input["domain"] = $line["WORKGROUP"];
		$input["tag"] = $line["TAG"];
		$input["deviceid"] = $line["DEVICEID"];
		$input["ipaddr"] = $line["IPADDR"];
		$input["ocs_server_id"] = $ocs_server_id;
		$input["ocs_id"] = $ocs_id;
		$input["last_inventory"] = $line["LASTCOME"];
		$input["useragent"]= $line["USERAGENT"];
		$notimported = new MassOCSImportLogNotImported;
		$notimported->add($input);
	}
}

function plugin_massocsimport_cleanNotImported($ocs_server_id,$ocs_id=-1)
{
	global $DB;

	$first = true;
	
	$sql = "DELETE FROM glpi_plugin_massocsimport_not_imported";
	if ($ocs_server_id != -1) {
		$first = false;
		$sql .= " WHERE ocs_server_id=".$ocs_server_id;
	}

	if ($ocs_id != -1)
		$sql .= ((!$first)?" AND":" WHERE")."  ocs_id=".$ocs_id;

	$result = $DB->query($sql);	

	return ($result ? $DB->affected_rows() : -1);
}

function plugin_massocsimportgetOcsServerIDByOcsID($ocs_id)
{
	global $DB;
	$result = $DB->query("SELECT ocs_server_id FROM glpi_plugin_massocsimport_not_imported WHERE ocs_id=".$ocs_id);
	if ($DB->num_fields($result) == 1)
		return $DB->result($result,0,"ocs_server_id");
	else
		return -1;	
}

function importComputer($not_imported_id,$entity)
{
	$notimported = new MassOCSImportLogNotImported;
	$notimported->getFromDB($not_imported_id);
	
	ocsProcessComputer($notimported->fields["ocs_id"], $notimported->fields["ocs_server_id"], 0, $_POST["entity"]);
	plugin_massocsimport_cleanNotImported($notimported->fields["ocs_server_id"],$notimported->fields["ocs_id"]);
}

function deleteNotImportedComputer($not_imported_id)
{
	$notimported = new MassOCSImportLogNotImported;
	$notimported->getFromDB($not_imported_id);

	plugin_uninstall_deleteComputerInOCS($notimported->fields["ocs_id"], $notimported->fields["ocs_server_id"]);
	$fields["ID"]=$not_imported_id;
	$notimported->delete($fields);
}
?>
