<?php

/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2008 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------
class ThreadRecord extends CommonDBTM {

	function __construct() {
		$this->table = "glpi_plugin_massocsimport";
		$this->type = PLUGIN_MASSOCSIMPORT_THREAD;
	}

	function deleteThreadsByProcessId($process_id) {
		global $DB;
		$sql = "DELETE FROM `" . $this->table . "` WHERE process_id=" . $process_id;
		$DB->query($sql);
		plugin_massocsimport_deleteThreadDetailsByProcessID($process_id);
	}

	function title() {
		global $LANG, $CFG_GLPI;

		$buttons = array ();
		$title = "";
		$buttons["../index.php"] = $LANG["massocsimport"]["display"][4];
		displayTitle("", "", $title, $buttons);
		echo "<br>";
	}

	function showForm($pid) {
		global $DB, $LANG, $LANG;

		$config = new MassOCSImportConfig;
		$config->getFromDB(1);

		$finished = true;
		$total = 0;
		$sql = "SELECT ID, thread_id, status, total_number_machines, process_id, " .
		"start_time AS starting_date, end_time AS ending_date, TIME_TO_SEC(end_time)-TIME_TO_SEC(start_time) AS duree, " .
		"imported_machines_number as imported_machines, synchronized_machines_number AS synchronized_machines, " .
		"failed_rules_machines_number AS failed_rules_machines, linked_machines_number AS linked_machines, " .
		"noupdate_machines_number AS noupdate_machines_number " .
		"FROM `" . $this->table . "` WHERE process_id=" . $pid . " ORDER BY thread_id ASC";
		$result = $DB->query($sql);

		echo "<div class='center' id='tabsbody'>";
		echo "<form name=cas action=\"\" method=\"post\">";

		echo "<table class='tab_cadre_fixe' cellpadding='11'>";
		echo "<tr><th colspan='12'>" . $LANG["massocsimport"]["common"][8] . " : " . $pid . "</th></tr>";
		echo "<tr>";
		echo "<th>" . $LANG["massocsimport"]["common"][9] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][10] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][2] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][3] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][5] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][6] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][19] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][18] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][20] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][7] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][17] . "</th>";
		echo "<th>" . $LANG["massocsimport"]["common"][15] . "</th>";
		echo "</th></tr>";

		if ($DB->numrows($result)) {

			while ($thread = $DB->fetch_array($result)) {
				echo "<tr class='tab_bg_2'>";
				//echo "<td align='center'><a href=\"plugin_massocsimport.details.php?reset=reset_before&field[0]=5&contains[0]=".$pid."&link[1]=AND&field[1]=7&contains[1]=".$thread["thread_id"]."\">" . $thread["thread_id"] . "</a></td>";
				echo "<td align='center'>".$thread["thread_id"] . "</td>";
				echo "<td align='center'>";

				plugin_massocsimport_displayProcessStatusIcon($thread["status"]);

				echo "</td>";

				echo "<td align='center'>" . convDateTime($thread["starting_date"]) . "</td>";
				echo "<td align='center'>" . convDateTime($thread["ending_date"]) . "</td>";
				echo "<td align='center'>" . $thread["imported_machines"] . "</td>";
				echo "<td align='center'>" . $thread["synchronized_machines"] . "</td>";
				echo "<td align='center'>" . $thread["linked_machines"] . "</td>";
				echo "<td align='center'>" . $thread["failed_rules_machines"] . "</td>";
				echo "<td align='center'>" . $thread["noupdate_machines_number"] . "</td>";				

				echo "<td align='center'>";
				if ($thread["status"] == PLUGIN_MASSOCSIMPORT_STATE_FINISHED)
					echo timestampToString($thread["duree"]);
				else
					echo "-----";

				echo "</td>";

				echo "<td align='center'>" . $thread["total_number_machines"] . "</td>";

				if ($thread["total_number_machines"] == 0) {
					//Total number of machines is 0 because the thread had no machines to process
					if ($thread["status"] == PLUGIN_MASSOCSIMPORT_STATE_FINISHED)
						$pourcent = 100;
					else
						//Total number of machines is 0 because the thread just started to process
						$pourcent = 0;
				} else
					$pourcent = (100 * ($thread["imported_machines"] + $thread["synchronized_machines"])) / $thread["total_number_machines"];

				echo "<td align='center'>";
				printf("%.4s", $pourcent);
				echo "%</td>";

				echo "</tr>";
				$total += $thread["imported_machines"] + $thread["synchronized_machines"] + $thread["linked_machines"];
			}
		}
		echo "<tr class='tab_bg_2'><td colspan='12' align='center'>" . $LANG["massocsimport"]["common"][12] . " : " . $total . "</td></tr>";

		if ($config->fields["delay_refresh"] > 0 && !$finished)
			echo "<meta http-equiv=\"refresh\" content=\"" . $config->fields["delay_refresh"] . "\"; url=\"#\" />";

		echo "</table></div>";

		echo "<div id='tabcontent'></div>";
		echo "<script type='text/javascript'>loadDefaultTab();</script>";
	}
}
?>