<?php


/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2008 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------
define("PLUGIN_MASSOCSIMPORT_STATE_STARTED", 1);
define("PLUGIN_MASSOCSIMPORT_STATE_RUNNING", 2);
define("PLUGIN_MASSOCSIMPORT_STATE_FINISHED", 3);

define("PLUGIN_MASSOCSIMPORT_LOCKFILE", GLPI_LOCK_DIR . "/massocsimport.lock");

foreach (glob(GLPI_ROOT . '/plugins/massocsimport/inc/*.php') as $file)
	include_once ($file);

function plugin_init_massocsimport() {
	global $PLUGIN_HOOKS, $CFG_GLPI, $LANG;

	$plugin = new Plugin;

	// Params : plugin name - string type - ID - Array of attributes
	registerPluginType('massocsimport', 'PLUGIN_MASSOCSIMPORT_NOTIMPORTED', 2351, array (
		'classname' => 'MassOCSImportLogNotImported',
		'tablename' => 'glpi_plugin_massocsimport_not_imported',
		'formpage' => 'front/plugin_massocsimport.notimported.php',
		'typename' => $LANG["massocsimport"]["common"][23],
		'massiveaction_noupdate'=>true,
		'massiveaction_nodelete'=>true
	));

	// Params : plugin name - string type - ID - Array of attributes
	registerPluginType('massocsimport', 'PLUGIN_MASSOCSIMPORT_DETAIL', 2352, array (
		'classname' => 'MassOCSImportDetail',
		'tablename' => 'glpi_plugin_massocsimport_details',
		'formpage' => '',
		'typename' => $LANG["massocsimport"]["common"][21],
		'massiveaction_noupdate'=>true,
		'massiveaction_nodelete'=>true
	));

	// Params : plugin name - string type - ID - Array of attributes
	registerPluginType('massocsimport', 'PLUGIN_MASSOCSIMPORT_THREAD', 2353, array (
		'classname' => 'ThreadRecord',
		'tablename' => 'glpi_plugin_massocsimport',
		'formpage' => 'front/plugin_massocsimport.process.form.php',
		'typename' => $LANG["massocsimport"]["common"][9]
	));

	$PLUGIN_HOOKS['change_profile']['massocsimport'] = 'plugin_massocsimport_changeprofile';

	if (haveRight("ocsng", "w")) {
		// Config page
		if ($plugin->isActivated("massocsimport"))
			$PLUGIN_HOOKS['config_page']['massocsimport'] = 'front/plugin_massocsimport.config.form.php';
			
		$PLUGIN_HOOKS['use_massive_action']['massocsimport'] = 1;
		
		$PLUGIN_HOOKS['submenu_entry']['massocsimport']["<img  src='".$CFG_GLPI["root_doc"]."/pics/stats_item.png' title='".$LANG["massocsimport"]["common"][1]."' alt='".$LANG["massocsimport"]["common"][1]."'>"] = 'index.php';
		$PLUGIN_HOOKS['submenu_entry']['massocsimport']["<img  src='".$CFG_GLPI["root_doc"]."/pics/puce-delete2.png' title='".$LANG["massocsimport"]["common"][18]."' alt='".$LANG["massocsimport"]["common"][18]."'>"] = 'front/plugin_massocsimport.notimported.php';
		$PLUGIN_HOOKS['submenu_entry']['massocsimport']["<img  src='".$CFG_GLPI["root_doc"]."/pics/rdv.png' title='".$LANG["massocsimport"]["common"][21]."' alt='".$LANG["massocsimport"]["common"][21]."'>"] = 'front/plugin_massocsimport.details.php';


		if (haveRight("logs", "r")) {
			$PLUGIN_HOOKS['menu_entry']['massocsimport'] = true;
			$PLUGIN_HOOKS['submenu_entry']['massocsimport']['config'] = 'front/plugin_massocsimport.config.form.php';
		}
	}

	$PLUGIN_HOOKS['headings']['massocsimport'] = 'plugin_get_headings_massocsimport';
	$PLUGIN_HOOKS['headings_action']['massocsimport'] = 'plugin_headings_actions_massocsimport';

	//Launch cron every hour
	$PLUGIN_HOOKS['cron']['massocsimport'] = HOUR_TIMESTAMP;
}

function plugin_version_massocsimport() {
	global $LANG;

	return array (
		'name' => $LANG["massocsimport"]["name"][1],
		'minGlpiVersion' => '0.72',
		'version' => '1.3.0',
		'author' => 'Remi Collet & Walid Nouh',
		'homepage' => "http://glpi-project.org/wiki/doku.php?id=massocsimport:plugins:massocsimport_use"
	);
}

function plugin_massocsimport_check_prerequisites() {
	if (GLPI_VERSION >= 0.72) {
		return true;
	} else {
		echo "This plugin requires GLPI 0.72 or later";
	}
}

function plugin_massocsimport_check_config() {
	return true;
}
?>
